org.apache.lucene.codecs.lucene42

## Class Lucene42FieldInfosFormat

- java.lang.Object
- - org.apache.lucene.codecs.FieldInfosFormat
  - - org.apache.lucene.codecs.lucene42.Lucene42FieldInfosFormat

- Deprecated.
  Only for reading old 4.2-4.5 segments

      @Deprecated
      public class Lucene42FieldInfosFormat
      extends FieldInfosFormat

  Lucene 4.2 Field Infos format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene42FieldInfosFormat()` Deprecated. Sole constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldInfos` | `read(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, IOContext iocontext)` Deprecated.
    `void` | `write(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, FieldInfos infos, IOContext context)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene42FieldInfosFormat

          public Lucene42FieldInfosFormat()

      Deprecated.
      Sole constructor.

  - ### Method Detail

    - #### read

          public FieldInfos read(Directory directory,
                        SegmentInfo segmentInfo,
                        String segmentSuffix,
                        IOContext iocontext)
                          throws IOException

      Deprecated.
      Specified by:
        `read` in class `FieldInfosFormat`
      Throws:
        `IOException`

    - #### write

          public void write(Directory directory,
                   SegmentInfo segmentInfo,
                   String segmentSuffix,
                   FieldInfos infos,
                   IOContext context)
                     throws IOException

      Deprecated.
      Specified by:
        `write` in class `FieldInfosFormat`
      Throws:
        `IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.